#include "xgfxaabbtree.h"

XGfxAabbTree::XGfxAabbTree()
    : XAsset()
    , mMins()
    , mMaxs()
    , mChildCount(0)
    , mSurfaceCount(0)
    , mStartSurfIndex(0)
    , mModelIndexCount(0)
    , mModelIndexesPtr(0)
    , mModelIndexes()
    , mChildrenOffset(0)
{
    SetName("GFX AABB Tree");
}

XGfxAabbTree::~XGfxAabbTree()
{
    
}

void XGfxAabbTree::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XGfxAabbTree::ParseData
}

void XGfxAabbTree::Clear()
{
    mMins = QVector3D();
    mMaxs = QVector3D();
    mChildCount = 0;
    mSurfaceCount = 0;
    mStartSurfIndex = 0;
    mModelIndexCount = 0;
    mModelIndexesPtr = 0;
    mModelIndexes.clear();
    mChildrenOffset = 0;
}
